<template>
  <div class="creating-group-chat">
    <ChatHeader class="create-chat-header">
      <JText
        tag="h2"
        weight="normal"
        type="title-3"
        color="text"
      >
        {{ $t('create_new_group') }}
      </JText>
      <div class="create-chat-actions">
        <JButton
          icon
          size="s"
          color="gray"
          type="outlined"
          :title="$t('back_to_contacts')"
          @click="resetCreatingChat"
          @keydown.space="resetCreatingChat"
          @keydown.enter="resetCreatingChat"
        >
          <JIcon icon="back" />
        </JButton>
        <JButton
          icon
          size="s"
          color="gray"
          type="outlined"
          :title="$t('create_chat')"
          class="ml-1"
          @click="showCreatingGroupChatFinalStep"
          @keydown.space="resetCreatingChat"
          @keydown.enter="resetCreatingChat"
        >
          <JIcon
            icon="next"
            transform="rotate(180)"
          />
        </JButton>
      </div>
    </ChatHeader>
    <SearchAndSelectUsers @select:multiple="setSelectedUsers" />
  </div>
</template>

<script setup lang="ts">
import { defineAsyncComponent } from 'vue';
import { JButton, JIcon, JText } from '@new-jira-clone/ui/src/components';
import { ChatHeader } from '@/shared';
import useCreatingChatState from '../model/useCreatingChatState';

const SearchAndSelectUsers = defineAsyncComponent(() => import('../../search-by-users/ui/SearchAndSelectUsers.vue'));

const {
  $reset: resetCreatingChat,
  showCreatingGroupChatFinalStep,
  setSelectedUsers,
} = useCreatingChatState();

</script>

<style scoped lang="scss">
.creating-group-chat {
  display: flex;
  flex-direction: column;
  width: 100%;
  height: 100%;

  .create-chat-header {
    display: flex;
  }

  .create-chat-actions {
    display: flex;
  }
}
</style>
